This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 01:58
Elapsed6m50s
Revision
Builder30b3732e-73bc-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/27a16fe5-f637-45be-bb27-24dea750db6b/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/27a16fe5-f637-45be-bb27-24dea750db6b/targets/test
infra-commita9f93d049

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 01:58:23.119] process 30 exited with code 0 after 0.0m
I0401 01:58:23.119] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 01:58:23.119] Root: /workspace
I0401 01:58:23.119] cd to /workspace
I0401 01:58:23.119] Configure environment...
I0401 01:58:23.120] Call:  git show -s --format=format:%ct HEAD
W0401 01:58:23.124] fatal: not a git repository (or any of the parent directories): .git
I0401 01:58:23.124] process 43 exited with code 128 after 0.0m
W0401 01:58:23.125] Unable to print commit date for HEAD
I0401 01:58:23.125] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 01:58:23.624] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 01:58:24.509] process 44 exited with code 0 after 0.0m
I0401 01:58:24.509] Call:  gcloud config get-value account
I0401 01:58:25.378] process 57 exited with code 0 after 0.0m
I0401 01:58:25.379] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 01:58:25.379] Start 1245168511697817600 at ...
I0401 01:58:25.381] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_1Xpoiv gs://kubernetes-jenkins/logs/metrics-kettle/1245168511697817600/started.json
I0401 01:58:28.330] process 70 exited with code 0 after 0.0m
I0401 01:58:28.330] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 01:58:28.358] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 02:05:02.326] ERROR: table k8s-gubernator:build.all is 19.0 hours old. Max allowed: 6 hours.
I0401 02:05:02.326] ERROR: table k8s-gubernator:build.week is 19.2 hours old. Max allowed: 6 hours.
I0401 02:05:02.326] ERROR: table k8s-gubernator:build.day is 18.7 hours old. Max allowed: 6 hours.
I0401 02:05:02.327] Collected data:
I0401 02:05:02.327] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 02:05:02.327] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 02:05:02.327] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 02:05:02.327] 
W0401 02:05:02.422] Traceback (most recent call last):
... skipping 22 lines ...
W0401 02:05:02.425]     self.send(msg)
W0401 02:05:02.425]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 02:05:02.425]     self.connect()
W0401 02:05:02.425]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 02:05:02.425]     conn = self._new_conn()
W0401 02:05:02.425]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 02:05:02.425]     self, "Failed to establish a new connection: %s" % e
W0401 02:05:02.426] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fc9b7e50358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 02:05:02.426] 
W0401 02:05:02.426] During handling of the above exception, another exception occurred:
W0401 02:05:02.426] 
W0401 02:05:02.426] Traceback (most recent call last):
W0401 02:05:02.426]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 02:05:02.426]     timeout=timeout
W0401 02:05:02.426]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 02:05:02.426]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 02:05:02.426]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 02:05:02.427]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 02:05:02.427] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fc9b7e50358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 02:05:02.427] 
W0401 02:05:02.427] During handling of the above exception, another exception occurred:
W0401 02:05:02.427] 
W0401 02:05:02.427] Traceback (most recent call last):
W0401 02:05:02.427]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 02:05:02.427]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 02:05:02.429]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 02:05:02.429]     resp = self.send(prep, **send_kwargs)
W0401 02:05:02.429]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 02:05:02.429]     r = adapter.send(request, **kwargs)
W0401 02:05:02.430]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 02:05:02.430]     raise ConnectionError(e, request=request)
W0401 02:05:02.430] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fc9b7e50358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 02:05:02.430] Traceback (most recent call last):
W0401 02:05:02.430]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 02:05:02.430]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 02:05:02.431]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 02:05:02.431]     check(*cmd)
W0401 02:05:02.431]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 02:05:02.431]     subprocess.check_call(cmd)
W0401 02:05:02.431]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 02:05:02.431]     raise CalledProcessError(retcode, cmd)
W0401 02:05:02.431] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 02:05:02.431] Command failed
I0401 02:05:02.431] process 252 exited with code 1 after 6.6m
E0401 02:05:02.432] FAIL: metrics-kettle
I0401 02:05:02.432] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 02:05:02.912] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 02:05:03.547] process 256 exited with code 0 after 0.0m
I0401 02:05:03.547] Call:  gcloud config get-value account
I0401 02:05:04.425] process 268 exited with code 0 after 0.0m
I0401 02:05:04.426] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 02:05:04.426] Upload result and artifacts...
I0401 02:05:04.426] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245168511697817600
W0401 02:05:04.426] Missing local artifacts : /workspace/_artifacts
W0401 02:05:04.426] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 02:05:04.427] metadata not found or invalid, init with empty metadata
I0401 02:05:04.427] Call:  git rev-parse HEAD
W0401 02:05:04.433] fatal: not a git repository (or any of the parent directories): .git
E0401 02:05:04.433] Command failed
I0401 02:05:04.434] process 281 exited with code 128 after 0.0m
I0401 02:05:04.434] Call:  git rev-parse HEAD
I0401 02:05:04.438] process 282 exited with code 0 after 0.0m
I0401 02:05:04.439] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 02:05:05.858] process 283 exited with code 0 after 0.0m
I0401 02:05:05.859] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585703048998800'
... skipping 8 lines ...